# -*- mode: rpm-spec-mode; encoding: utf-8 -*-
# vim: ft=spec noexpandtab
# cdimgtools.spec: generated from cdimgtools.spec.in by Makefile
# Pass '--without docs' to rpmbuild if you don't want the documentation to be built

Name: 		cdimgtools
Summary: 	command line tools to inspect and manipulate certain CD/DVD image files
Version: 	0.2
Release: 	0.3%{?dist}
License: 	GPLv2
Group: 		Applications/Multimedia
Vendor: 	Géraud Meyer <graud@gmx.com>
Source: 	%{name}-%{version}.tar.gz
BuildRequires:	libdvdcss-devel, libdvdread-devel%{!?_without_docs:, asciidoc > 6.0.3, perl-doc}
Requires: 	perl, libdvdcss, libdvdread

%description
CDimgtools is a set of command line tools to inspect and manipulate CD (and
possibly DVD) images of formats uncommon on free UNIX-like systems (e.g.
GNU/Linux or BSD).

One sort of tool is concerned with a certain special image file format,
possibly a non open one.  It can print information about an image file in this
format, or extract parts of its data (e.g. audio tracks or disc sessions) to
files in "raw" format, so that they can be further processed by more widely
available tools (e.g. for the purpose of playing audio, reading files, burning
tracks or sessions to optical media).  NRG is the only supported format for the
present; disc types such as CDDA, CD-extra and (multi-session) CD-ROM/DVD-ROM
are supported.

Another sort of tool is concerned with the processing of files in a "raw"
format.  It can convert between different variations of formats of the same
type, or convert from a raw format to an equivalent well-known self-describing
format, or modify the raw data without changing its format.  For the persent it
is possible to demultiplex RAW+96 image files containing both stream data and
sub-channel data, to decrypt CSS-scrambled VOB files, and to decrypt
CSS-scrambled DVD Video image files.

%prep
%setup -q

%build
%configure
%{__make} \
	all %{!?_without_docs: doc-man doc-html} %{?_without_docs: doc-txt}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT \
	install %{!?_without_docs: install-doc-man}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%doc README NEWS INSTALL BUGS COPYING Changelog
%{!?_without_docs: %{_mandir}/man1/*.1*}
%{!?_without_docs: %doc *.html}
%{?_without_docs:  %doc *.txt}

%changelog
* Mon Dec 31 2012 Géraud Meyer <graud@gmx.com>
- Use autoconf
- Depend on libdvdread
- Install the text version of NEWS
- Updated description
* Fri Dec 14 2012 Géraud Meyer <graud@gmx.com>
- Depend on libdvdcss
- Disable noarch
* Sun Nov 18 2012 Géraud Meyer <graud@gmx.com>
- First packaging
